MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003734ATutorContentpublic2009-04-18 09:242009-07-21 08:50
Reportergreg 
Assigned Toharris 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.3 
Summary0003734: Create backup error
DescriptionI was trying to make a backup of the AccessForAll course on atutor.ca demo, and I get the following error.

cant open dir: /webserver/content/atutor.ca/docs/atutor/demo/content/audit/


Not sure why it's pointing to /audit/. It should be pointing to /backups/.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003506)
greg (administrator)
2009-04-18 09:25

Can you fix this asap. thx
(0003507)
harris (developer)
2009-04-23 10:28

The Backup class will run the backup on the modules as well. Does the course has a module installed with the module_backup.php pointing to an empty folder, namely /audit?
(0003508)
harris (developer)
2009-04-23 10:34

Just checked. There is a module installed on the system called "Audit". I didn't go into checking the module_backup.php file. I am assuming that the module didn't create a /audit folder when it's installed; or the module_backup.php has flaws.
(0003509)
greg (administrator)
2009-04-23 10:55

Ah! It needs a manual uninstall. Can you get rid of it. Thx. It was a contributed module that needed some work.
(0003529)
harris (developer)
2009-05-29 08:16

Fixed by commented out that backup script.

- Issue History
Date Modified Username Field Change
2009-04-18 09:24 greg New Issue
2009-04-18 09:24 greg Affects version => SVN
2009-04-18 09:24 greg Status new => assigned
2009-04-18 09:24 greg Assigned To => harris
2009-04-18 09:25 greg Note Added: 0003506
2009-04-23 10:28 harris Note Added: 0003507
2009-04-23 10:34 harris Note Added: 0003508
2009-04-23 10:55 greg Note Added: 0003509
2009-05-29 08:16 harris Status assigned => resolved
2009-05-29 08:16 harris Resolution open => fixed
2009-05-29 08:16 harris Note Added: 0003529
2009-06-12 09:32 greg Status resolved => new
2009-06-12 09:33 greg Status new => resolved
2009-06-12 09:33 greg Fixed in Version => 1.6.3
2009-07-21 08:50 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker